IcedTea-Web NetX

## net.sourceforge.jnlp
Class InstallerDesc

    java.lang.Object
      net.sourceforge.jnlp.InstallerDesc

All Implemented Interfaces:
  LaunchDesc

    public class InstallerDesc

extends java.lang.Object
implements LaunchDesc

The installer-desc element.

Constructor Summary
`InstallerDesc(java.lang.String mainClass)` Creates a installer descriptor.

Method Summary
`java.lang.String` `getMainClass()` Returns the main class name and package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstallerDesc

    public InstallerDesc(java.lang.String mainClass)

  Creates a installer descriptor.

  Parameters:
    `mainClass` - main class name and package

Method Detail

### getMainClass

    public java.lang.String getMainClass()

  Returns the main class name and package.

  Specified by:
    `getMainClass` in interface `LaunchDesc`

IcedTea-Web NetX

Submit a bug or feature